#include <stdio.h>
#include <stdlib.h>
#include <assert.h>
#include <stdbool.h>

#include "liste_ch_int_float.h"
typedef liste_c file_prio; //pour une implem naive des files de priorité


//constructeur
file_prio cree_file_prio_vide();

//accesseurs
bool est_file_prio_vide(file_prio fp);
float prio_min (file_prio fp);
int elem_min (file_prio fp);
bool contient_elem (file_prio fp, int elem);

//transformateurs ou modificateurs
// ATTENTION la file est passée par référence et non par valeur
// aux transformateurs, d'où le type liste_c*
void supprime_min (file_prio* p_fp);
void ajoute_elem  (file_prio* p_fp, int elem, float prio);

void diminue_prio (file_prio p_fp, int elem, float prio);
